=== doc/Makefile ===
html = scmail.html scmail-ja.html
all:  $(html)

scmail.html: scmail.html.in
	rm -f scmail.html
	gosh embed.scm scmail.html.in > scmail.html
	chmod -w scmail.html

scmail-ja.html: scmail-ja.html.in
	rm -f scmail-ja.html
	gosh embed.scm scmail-ja.html.in > scmail-ja.html
	chmod -w scmail-ja.html

clean:
	rm -f $(html)
