=== debian/changelog ===
scmail (1.3-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload.

 -- Adrian Bunk <bunk@debian.org>  Sun, 07 Feb 2021 12:07:09 +0200

scmail (1.3-4) unstable; urgency=low

  * debian/control (Build-Depends): Added gauche-gdbm (Closes: #608558).
    Thanks to Salvatore Bonaccorso

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 06 Jan 2011 17:16:28 +0900

scmail (1.3-3) unstable; urgency=low

  * debian/control (Build-Depends): Added gauche-dev and quilt.  Require
    newer debhelper (Closes: #608205).  Thanks to Jakub Wilk.
    (Depends): Added ${misc:Depends}.
    (Standards-Version): Conforms to 3.9.1.
  * debian/compat: Updated to 7.
  * debian/source/format: New file.
  * debian/watch: Adopted version 3 format.
  * debian/patches/00-debian-changes.diff: New file from diff of 1.3-2.
  * debian/patches/01-fix-module.diff: New file because of Gauche module change.
  * debian/patches/02-use-scmail-config-core.diff: Ditto.
  * debian/patches/03-fix-scmail.diff: New file for old bug fix.
  * debian/patches/04-fix-lock.diff: New file because of Gauche sys-mkdir
    change.
  * debian/patches/04-fix-tail-option.diff: New file because of 'tail' command.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 29 Dec 2010 10:19:26 +0900

scmail (1.3-2) unstable; urgency=low

  * debian/control (Depends): Added gauche-gdbm (closes: #344891).

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed,  4 Jan 2006 17:59:52 +0900

scmail (1.3-1) unstable; urgency=low

  * Initial Release (closes: #291791).

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 21 Feb 2005 18:55:10 +0900
