=== debian/control ===
Source: scmail
Section: mail
Priority: optional
Maintainer: NIIBE Yutaka <gniibe@fsij.org>
Build-Depends: quilt (>= 0.46-7~), debhelper (>= 7.0.50~), gauche, gauche-dev (>= 0.9), gauche-gdbm
Standards-Version: 3.9.1
Homepage: http://www.namazu.org/~satoru/scmail/index.html.en

Package: scmail
Architecture: all
Depends: gauche, gauche-gdbm, ${misc:Depends}
Description: a mail filter written in Scheme
 Scmail is a mail filter written in Scheme, you can write processing
 recipes in S-expression.  Scmail can be used as a filter for an
 incoming mail, invoked each time by .forward, or it can be used as a
 mail processor to distribute existing mails into the right mailbox.
 It comes with a bayesian spam filter called scbayes.
