=== debian/watch ===
version=3
http://namazu.org/~satoru/scmail/scmail-(.*)\.tar\.gz
